Skip to main content

Group

View as Markdown

AccountGroup object

displayNamestring

String that represents a human-readable group name

externalIdstring<= 64 characters

external_id should be unique for identifying groups

idstringint64

<Databricks> group ID

membersarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
rolesarray of object

Indicates if the group has the admin role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
account_idstringuuid

<Databricks> account ID

Get group details GA

GET /api/2.0/accounts/{account_id}/scim/v2/Groups/{id}

Gets the information for a specific group in the <Databricks> account.

API scopes: scim

Parameters

account_idstringuuidRequiredpath

<Databricks> account ID

idstringint64Requiredpath

Unique ID for a group in the <Databricks> account.

Response

Returns the AccountGroup object.

List group details GA

GET /api/2.0/accounts/{account_id}/scim/v2/Groups

Gets all details of the groups associated with the <Databricks> account. As of 08/22/2025, this endpoint will no longer return members. Instead, members should be retrieved by iterating through Get group details. Existing accounts that rely on this attribute will not be impacted and will continue receiving member data as before.

API scopes: scim

Parameters

account_idstringuuidRequiredpath

<Databricks> account ID

filterstringquery

Query by which the results have to be filtered. Supported operators are equals(eq), contains(co), starts with(sw) and not equals(ne). Additionally, simple expressions can be formed using logical operators - and and or. The SCIM RFC has more details but we currently only support simple expressions.

Examples:

  • displayName co "foo" and displayName co "bar" : Group whose displayName contains foo and displayName contains bar.
  • displayName co "foo" : Groups whose displayName contains foo.
  • displayName eq "admins" : Groups whose displayName equals admins.
  • displayName ne "baz" : Groups whose displayName not equals baz.
  • displayName co "foo" or displayName co "bar" : Group whose displayName contains foo or displayName contains bar.
  • displayName sw "bar" : Groups whose displayName starts with bar.
attributesstringquery

Comma-separated list of attributes to return in response.

excludedAttributesstringquery

Comma-separated list of attributes to exclude in response.

startIndexint64query

Specifies the index of the first result. First item is number 1.

countint64<= 100query

Desired number of results per page. Default is 10000.

sortBystringquery

Attribute to sort the results.

sortOrderstringquery

The order to sort the results.

Values:

  • ORDER_UNSPECIFIED
  • ascending
  • descending

Response

Returns a list of AccountGroup objects.

Create a new group GA

POST /api/2.0/accounts/{account_id}/scim/v2/Groups

Creates a group in the <Databricks> account with a unique name, using the supplied group details.

API scopes: scim

Parameters

account_idstringuuidRequiredpath

<Databricks> account ID

Request body

displayNamestring

String that represents a human-readable group name

externalIdstring
idstringint64

<Databricks> group ID

membersarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
rolesarray of object

Indicates if the group has the admin role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring

Response

Returns the AccountGroup object.

Replace a group GA

PUT /api/2.0/accounts/{account_id}/scim/v2/Groups/{id}

Updates the details of a group by replacing the entire group entity.

API scopes: scim

Parameters

account_idstringuuidRequiredpath

<Databricks> account ID

idstringint64Requiredpath

<Databricks> group ID

Request body

displayNamestring

String that represents a human-readable group name

externalIdstring
membersarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
rolesarray of object

Indicates if the group has the admin role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring

Delete a group GA

DELETE /api/2.0/accounts/{account_id}/scim/v2/Groups/{id}

Deletes a group from the <Databricks> account.

API scopes: scim

Parameters

account_idstringuuidRequiredpath

<Databricks> account ID

idstringint64Requiredpath

Unique ID for a group in the <Databricks> account.

Update group details GA

PATCH /api/2.0/accounts/{account_id}/scim/v2/Groups/{id}

Partially updates the details of a group.

API scopes: scim

Parameters

account_idstringuuidRequiredpath

<Databricks> account ID

idstringint64Requiredpath

Unique ID in the <Databricks> workspace.

Request body

Operationsarray of object
Show child attributesHide child attributes
opstring

Type of patch operation.

Values:

  • PATCH_OP_UNSPECIFIED
  • add
  • remove
  • replace
pathstring

Selection of patch operation

valueobject

Value to modify

schemasarray of string

The schema of the patch request. Must be ["urn:ietf:params:scim:api:messages:2.0:PatchOp"].

Values:

  • PATCH_SCHEMA_UNSPECIFIED
  • urn:ietf:params:scim:api:messages:2.0:PatchOp